org.keycloak.authentication

## Enum AuthenticationFlowError

- java.lang.Object
- - java.lang.Enum<AuthenticationFlowError>
  - - org.keycloak.authentication.AuthenticationFlowError

- All Implemented Interfaces:
    Serializable, Comparable<AuthenticationFlowError>

      public enum AuthenticationFlowError
      extends Enum<AuthenticationFlowError>

  Set of error codes that can be thrown by an Authenticator, FormAuthenticator, or FormAction
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCESS_DENIED`
    `CLIENT_CREDENTIALS_SETUP_REQUIRED`
    `CLIENT_DISABLED`
    `CLIENT_NOT_FOUND`
    `CREDENTIAL_SETUP_REQUIRED`
    `DISPLAY_NOT_SUPPORTED`
    `EXPIRED_CODE`
    `FORK_FLOW`
    `IDENTITY_PROVIDER_DISABLED`
    `IDENTITY_PROVIDER_ERROR`
    `IDENTITY_PROVIDER_NOT_FOUND`
    `INTERNAL_ERROR`
    `INVALID_CLIENT_CREDENTIALS`
    `INVALID_CLIENT_SESSION`
    `INVALID_CREDENTIALS`
    `INVALID_USER`
    `UNKNOWN_CLIENT`
    `UNKNOWN_USER`
    `USER_CONFLICT`
    `USER_DISABLED`
    `USER_TEMPORARILY_DISABLED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuthenticationFlowError` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AuthenticationFlowError[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXPIRED_CODE

          public static final AuthenticationFlowError EXPIRED_CODE

    - #### INVALID_CLIENT_SESSION

          public static final AuthenticationFlowError INVALID_CLIENT_SESSION

    - #### INVALID_USER

          public static final AuthenticationFlowError INVALID_USER

    - #### INVALID_CREDENTIALS

          public static final AuthenticationFlowError INVALID_CREDENTIALS

    - #### CREDENTIAL_SETUP_REQUIRED

          public static final AuthenticationFlowError CREDENTIAL_SETUP_REQUIRED

    - #### USER_DISABLED

          public static final AuthenticationFlowError USER_DISABLED

    - #### USER_CONFLICT

          public static final AuthenticationFlowError USER_CONFLICT

    - #### USER_TEMPORARILY_DISABLED

          public static final AuthenticationFlowError USER_TEMPORARILY_DISABLED

    - #### INTERNAL_ERROR

          public static final AuthenticationFlowError INTERNAL_ERROR

    - #### UNKNOWN_USER

          public static final AuthenticationFlowError UNKNOWN_USER

    - #### FORK_FLOW

          public static final AuthenticationFlowError FORK_FLOW

    - #### UNKNOWN_CLIENT

          public static final AuthenticationFlowError UNKNOWN_CLIENT

    - #### CLIENT_NOT_FOUND

          public static final AuthenticationFlowError CLIENT_NOT_FOUND

    - #### CLIENT_DISABLED

          public static final AuthenticationFlowError CLIENT_DISABLED

    - #### CLIENT_CREDENTIALS_SETUP_REQUIRED

          public static final AuthenticationFlowError CLIENT_CREDENTIALS_SETUP_REQUIRED

    - #### INVALID_CLIENT_CREDENTIALS

          public static final AuthenticationFlowError INVALID_CLIENT_CREDENTIALS

    - #### IDENTITY_PROVIDER_NOT_FOUND

          public static final AuthenticationFlowError IDENTITY_PROVIDER_NOT_FOUND

    - #### IDENTITY_PROVIDER_DISABLED

          public static final AuthenticationFlowError IDENTITY_PROVIDER_DISABLED

    - #### IDENTITY_PROVIDER_ERROR

          public static final AuthenticationFlowError IDENTITY_PROVIDER_ERROR

    - #### DISPLAY_NOT_SUPPORTED

          public static final AuthenticationFlowError DISPLAY_NOT_SUPPORTED

    - #### ACCESS_DENIED

          public static final AuthenticationFlowError ACCESS_DENIED

  - ### Method Detail

    - #### values

          public static AuthenticationFlowError[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuthenticationFlowError c : AuthenticationFlowError.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuthenticationFlowError valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 JBoss by Red Hat. All rights reserved.